aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Savchenko <bircoph@gmail.com>2014-06-29 21:52:27 +0400
committerAndrew Savchenko <bircoph@gmail.com>2014-06-29 21:52:27 +0400
commit5db2b39f503b53bc996ab07e7c13e8b866e2d085 (patch)
tree7d67ad7bc299722bc00961daee0ba3c3d3658ac9 /app-doc
parentMerge remote-tracking branch 'gentoo/master' into upstream-master (diff)
downloadsci-5db2b39f503b53bc996ab07e7c13e8b866e2d085.tar.gz
sci-5db2b39f503b53bc996ab07e7c13e8b866e2d085.tar.bz2
sci-5db2b39f503b53bc996ab07e7c13e8b866e2d085.zip
sci-physics/root, app-doc/root-docs: version bump to ROOT-6
This is a major version bump for ROOT-6. Please refer to package's ChangeLog files for details. Testing is welcome.
Diffstat (limited to 'app-doc')
-rw-r--r--app-doc/root-docs/ChangeLog235
-rw-r--r--app-doc/root-docs/Manifest6
-rw-r--r--app-doc/root-docs/files/root-docs-6.00.01-cernbuild.patch16
-rw-r--r--app-doc/root-docs/files/root-docs-6.00.01-makehtml.patch57
-rw-r--r--app-doc/root-docs/metadata.xml21
-rw-r--r--app-doc/root-docs/root-docs-6.00.01.ebuild131
l---------app-doc/root-docs/root-docs-9999.ebuild1
7 files changed, 467 insertions, 0 deletions
diff --git a/app-doc/root-docs/ChangeLog b/app-doc/root-docs/ChangeLog
new file mode 100644
index 000000000..0589d994c
--- /dev/null
+++ b/app-doc/root-docs/ChangeLog
@@ -0,0 +1,235 @@
+# ChangeLog for app-doc/root-docs
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-doc/root-docs/ChangeLog,v 1.42 2014/03/28 18:48:01 bicatali Exp $
+
+*root-docs-6.00.01 (29 Jun 2014)
+
+ 29 Jun 2014; Andrew Savchenko <bircoph@gmail.com> +root-docs-6.00.01.ebuild,
+ +root-docs-9999.ebuild, +files/root-docs-6.00.01-cernbuild.patch,
+ +files/root-docs-6.00.01-makehtml.patch, +metadata.xml:
+ Version bump for ROOT-6 release. Live ebuild fixed as well.
+ Most pdf docs are now also generated from source tree.
+ Known bug: MACRCO_*.gif files fail to generate. Upstream is
+ contacted for assistance. Though all other API docs are usable.
+
+ 28 Mar 2014; Sébastien Fabbro <bicatali@gentoo.org>
+ root-docs-5.34.18-r1.ebuild:
+ fixed for correct use flag api instead of html (bug #505930)
+
+*root-docs-5.34.18-r1 (26 Mar 2014)
+
+ 26 Mar 2014; Sébastien Fabbro <bicatali@gentoo.org>
+ +files/root-docs-5.34.18-html.patch, +root-docs-5.34.18-r1.ebuild,
+ -root-docs-5.32.04.ebuild, -root-docs-5.34.09.ebuild,
+ -root-docs-5.34.10.ebuild, -root-docs-5.34.13.ebuild,
+ -root-docs-5.34.15.ebuild, metadata.xml:
+ Added standard root docs and trigger html api doc with api flag. Clean up.
+
+*root-docs-5.34.18 (18 Mar 2014)
+
+ 18 Mar 2014; Sébastien Fabbro <bicatali@gentoo.org> +root-docs-5.34.18.ebuild:
+ Version bump
+
+*root-docs-5.34.15 (24 Feb 2014)
+
+ 24 Feb 2014; Sébastien Fabbro <bicatali@gentoo.org> +root-docs-5.34.15.ebuild:
+ Version bump, adapted for prefix
+
+*root-docs-5.34.13 (05 Dec 2013)
+
+ 05 Dec 2013; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.34.13.ebuild:
+ Version bump.
+
+ 07 Oct 2013; Andrew Savchenko <bircoph@gmail.com> root-docs-5.34.10.ebuild:
+ Omit unneeded howto messages.
+
+*root-docs-5.34.10 (04 Oct 2013)
+
+ 04 Oct 2013; Andrew Savchenko <bircoph@gmail.com> -root-docs-5.34.09.ebuild,
+ +root-docs-5.34.10.ebuild:
+ Version bump per bug 486620. Remove old.
+
+ 03 Jul 2013; Michael Weber <xmw@gentoo.org> -root-docs-5.34.07.ebuild,
+ -root-docs-5.34.08.ebuild:
+ Remove old version of 5.34 series, as requested by Andrew Savchenko.
+
+*root-docs-5.34.09 (29 Jun 2013)
+
+ 29 Jun 2013; Michael Weber <xmw@gentoo.org> +root-docs-5.34.09.ebuild:
+ Version bump by Andrew Savchenko, imported from science overlay.
+
+*root-docs-5.34.08 (08 Jun 2013)
+
+ 08 Jun 2013; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.34.08.ebuild:
+ Version bump.
+
+ 28 May 2013; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.34.07.ebuild:
+ Fix sandbox violation on DRI systems: use addpredict instead of
+ switching to Xong GL interface.
+
+*root-docs-5.34.07 (23 May 2013)
+
+ 23 May 2013; Sébastien Fabbro <bicatali@gentoo.org> +root-docs-5.34.07.ebuild:
+ Version bump
+
+ 13 May 2013; Patrick Lauer <patrick@gentoo.org> -root-docs-5.34.03.ebuild:
+ Remove version with unsatisfiable deps
+
+ 17 Mar 2013; Markos Chandras <hwoarang@gentoo.org> metadata.xml:
+ Add proxy-maintainers to metadata.xml (forced because of broken rdeps)
+
+*root-docs-5.34.05 (23 Feb 2013)
+
+ 23 Feb 2013; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.34.05.ebuild:
+ Version bump. Remove old. Do not compress files (mostly headers) as
+ this renders them unusable from html pages.
+
+ 10 Dec 2012; Sébastien Fabbro <bicatali@gentoo.org>
+ -files/root-docs-5.34-makehtml.patch, -root-docs-5.34.01.ebuild:
+ Removed old
+
+*root-docs-5.34.03 (25 Oct 2012)
+
+ 25 Oct 2012; Andrew Savchenko <bircoph@gmail.com> -root-docs-5.34.02.ebuild,
+ +root-docs-5.34.03.ebuild:
+ Version bump.
+
+*root-docs-5.34.02 (19 Oct 2012)
+*root-docs-5.32.04 (19 Oct 2012)
+
+ 19 Oct 2012; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.32.04.ebuild,
+ +files/root-docs-5.32-makehtml.patch, +root-docs-5.34.02.ebuild:
+ Version bump for patch releases in 5.32 and 5.34 branches.
+
+*root-docs-5.34.01 (22 Jul 2012)
+
+ 22 Jul 2012; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.34.01.ebuild,
+ +files/root-docs-5.34.01-makehtml.patch, root-docs-9999.ebuild,
+ -files/root-docs-9999-makehtml.patch:
+ Version bump.
+
+ 15 Jul 2012; Justin Lecher <jlec@gentoo.org> -root-docs-5.26.00.ebuild,
+ -root-docs-5.28-r1.ebuild:
+ Cleaned old
+
+ 14 Jul 2012; Jeff Horelick <jdhore@gentoo.org> root-docs-5.32.03.ebuild:
+ marked x86 per bug 424745
+
+ 09 Jul 2012; Agostino Sarubbo <ago@gentoo.org> root-docs-5.32.03.ebuild:
+ Stable for amd64, wrt bug #424745
+
+ 06 Jul 2012; Justin Lecher <jlec@gentoo.org> root-docs-5.32.03.ebuild,
+ metadata.xml:
+ Imported fix from sci overlay
+
+ 27 Jun 2012; Sebastien Fabbro <fabbros@gentoo.org> root-docs-5.34.00.ebuild:
+ import to the main tree. keyword ~amd64-linux and ~x86-linux. cleaning
+
+ 27 Jun 2012; Sebastien Fabbro <fabbros@gentoo.org> -root-docs-5.32.ebuild,
+ +root-docs-5.32.03.ebuild, +files/root-docs-5.32-makehtml.patch,
+ +root-docs-5.34.00.ebuild, +files/root-docs-5.34-makehtml.patch,
+ metadata.xml:
+ import to the main tree. keyword ~amd64-linux and ~x86-linux. cleaning
+
+*root-docs-5.32.03 (20 Jun 2012)
+
+ 20 Jun 2012; Andrew Savchenko <bircoph@gmail.com> -root-docs-5.32.ebuild,
+ +root-docs-5.32.03.ebuild, +files/root-docs-5.32-makehtml.patch:
+ Backport htmldoc generation fixes for 5.32 branch.
+
+*root-docs-5.34.00 (19 Jun 2012)
+
+ 19 Jun 2012; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.34.00.ebuild:
+ Version bump based on live ebuild.
+
+*root-docs-9999 (19 Jun 2012)
+
+ 19 Jun 2012; Andrew Savchenko <bircoph@gmail.com>
+ +files/root-docs-5.34-makehtml.patch, +root-docs-9999.ebuild:
+ htmldoc generation for root must be separated, because it is
+ supposed to be run only root was installed to the live
+ filesystem. It can't be faked easily in the sandbox environment,
+ because ROOTSYS is not respected when --prefix or --*dir are
+ used for configure script.
+
+*root-docs-5.32 (13 Mar 2012)
+
+ 13 Mar 2012; Sébastien Fabbro <bicatali@gentoo.org> +root-docs-5.32.ebuild:
+ Import to the main tree.
+
+*root-docs-5.32 (03 Dec 2011)
+
+ 03 Dec 2011; Andrew Savchenko <bircoph@gmail.com> -root-docs-5.30.ebuild,
+ +root-docs-5.32.ebuild:
+ Version bump.
+ Remove useless html/html32/ patch chunk, thus html files will be
+ installed directly into /usr/share/doc/${PF}/.
+
+*root-docs-5.30 (02 Aug 2011)
+
+ 02 Aug 2011; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.30.ebuild,
+ +metadata.xml:
+ Version bump.
+
+*root-docs-5.28-r1 (17 May 2011)
+
+ 17 May 2011; Sébastien Fabbro <bicatali@gentoo.org> -root-docs-5.28.ebuild,
+ +root-docs-5.28-r1.ebuild:
+ Really install docs, closing bug #367195
+
+*root-docs-5.28 (28 Mar 2011)
+
+ 28 Mar 2011; Sébastien Fabbro <bicatali@gentoo.org> +root-docs-5.28.ebuild:
+ Version bump. Dropped sparc because it was dropped for sci-physics/root
+
+ 11 Jul 2010; Raúl Porcel <armin76@gentoo.org> root-docs-5.26.00.ebuild:
+ sparc/x86 stable wrt #326195
+
+ 29 Jun 2010; Christoph Mende <angelos@gentoo.org>
+ root-docs-5.26.00.ebuild:
+ Stable on amd64 wrt bug #326195
+
+ 29 Jun 2010; Kacper Kowalik <xarthisius@gentoo.org>
+ root-docs-5.26.00.ebuild:
+ Drop ~ppc since it can't compile sci-physics/root
+
+ 29 Jun 2010; Kacper Kowalik <xarthisius@gentoo.org>
+ -root-docs-5.24.00.ebuild:
+ Remove old.
+
+*root-docs-5.26.00 (09 Jan 2010)
+
+ 09 Jan 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ -root-docs-3.03.04.ebuild, -root-docs-5.25.02.ebuild,
+ +root-docs-5.26.00.ebuild, metadata.xml:
+ Version bump, removed old versions and added sci as herd maintainer
+
+*root-docs-5.25.02 (13 Oct 2009)
+
+ 13 Oct 2009; Víctor Ostorga <vostorga@gentoo.org>
+ +root-docs-5.25.02.ebuild:
+ Version bump to 5.25.02, ebuild thanks to Andrew Savchenko
+ <bircoph@gmail.com> bug 288791
+
+*root-docs-5.24.00 (15 Sep 2009)
+
+ 15 Sep 2009; Víctor Ostorga <vostorga@gentoo.org>
+ +root-docs-5.24.00.ebuild:
+ Version bump to 5.24.00 ebuild thanks to Andrew Savchenko
+ <bircoph@gmail.com> bug 280874
+
+ 21 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
+ Transition to Manifest2.
+
+ 19 Dec 2004; Jason Huebel <jhuebel@gentoo.org> root-docs-3.03.04.ebuild:
+ amd64, just docs, no need for testing
+
+ 07 Jun 2004; Daniel Black <dragonheart@gentoo.org> +metadata.xml,
+ root-docs-3.03.04.ebuild:
+ QA - IUSE fix
+
+*root-docs-3.03.04 (11 Apr 2002)
+
+ 11 Apr 2002; G.Bevin <gbevin@gentoo.org> root-docs-3.03.04.ebuild
+ files/digest-root-docs-3.03.04 :
+ Initial release
diff --git a/app-doc/root-docs/Manifest b/app-doc/root-docs/Manifest
new file mode 100644
index 000000000..54f204f12
--- /dev/null
+++ b/app-doc/root-docs/Manifest
@@ -0,0 +1,6 @@
+DIST RooFit_Users_Manual_2.91-33.pdf 1330062 SHA256 101c4e4c41962238fcabf1caa86cafc51241a1800594491b2e62ef8b565a5646 SHA512 732d7dea3541b51e5f0b9b5b70dae57e1bdbb2504c4222d5e5095ec0f9b67307011c1f31c2c95be419b53dd8426f52f62f6c9370084208176a2ed3d7f25d783b WHIRLPOOL 033897bef4bdb13246a81ea6749f7895e6c4d639752e932130234ad9153bb399a4e5d416237850da27f139d3cccc53d9adb7a077abf20d257ce057157d6c3696
+DIST TMVAUsersGuide-v4.2.0.pdf 4099493 SHA256 b61614d14289a20f5fa429f79e474e596cdabb807632c901347479ad425791b9 SHA512 a52f36bdf9791c2e1c4b17f08dbcb100927d11c0db1d69ec611437017f80d90be557baf530af10aabc4d07dac626f1736352abd71845dba5e2c0899ff5b126d4 WHIRLPOOL 5be3affaf45dc6086329a82d582f95c9a251fedb7943fd84c14310b91504b7318db0d992a7da8e9da8b0b0fbbf4a7c58b7339bc4b529221804afb9988342829c
+DIST info.png 2060 SHA256 51de6661250f3fb71c6c8250cbc4bdc4dc4283cc90240b4dc1ee6168e8d40279 SHA512 81a730eefbe7a7e15d5840491402c7644bf7ed5d5f8f3830ed9457b343cc7882480e993ea84aef93500742cd0fe8469859cd2c925e5582b91ef56406804ae276 WHIRLPOOL 02ea6daf9e3d21947ebf5dd01c455a13f2fcbf9981be34a150056a3510122ca49e3d137d4f242c7218d4d06ace09566d513a04f09071723ac244f5a38e982bac
+DIST roofit_quickstart_3.00.pdf 501576 SHA256 65aaf9e0c88352e265fd55b97a2503a9ee4a51d3219daff69c6f7f6427fe22cf SHA512 e8e1bd3bb3ead0ae3883512d7ff297651b99937fd5df0b61cf559ea5dd6cfbda35dfd8ebc953ed11a12f471849f6e95e05869b58a1e433ea6e5d1d1aa08bbb93 WHIRLPOOL a58b221272e3b2775639bf934f63cd06919105871ad736a84e18e6f3949a579301d1c6d69df39576dcc11867aa27274f5c78f36146a929698437b1a0c310aebe
+DIST root6-banner.jpg 32319 SHA256 9d6d226bbe61db257a1796a3ad04dfe97b3bb500a29349ff76bf6a929ed1e104 SHA512 f01dd253f24d59c374042efd239ce023e5ca82d3d617ca6763daf9720b169c4fb27a0f4573ea95d807f0e12095924606372df4940f65ce7d859164314d22b9af WHIRLPOOL 69976abe240235a4f4eb25d61a0ceb183dc5ad5f9e57e9130ae10615329dd23125848f45608e1ad2d65a286d1f191f95336316f7c8f1cc052d396c31433cbe4c
+DIST root_v6.00.01.source.tar.gz 97783289 SHA256 245c75fd6b53b84cae6251f950e259311439da678b2cdebb9578d51561a6b61f SHA512 e5f56750a0637aa884ea2d9d2ebf7b677cd1fac1819042948ba3530a25366cb7d853dba6fa7127764e3ae7cec23f89ed60d8913c0ff10ce2664bcc87df1620cf WHIRLPOOL 92f34c13ee0161d556b54b1bdd971774b2637c5cd57916ee75f0572a30713df820df3bb07f276d16ca31d11fda7e762de673c943b8bffda9db501d2ee8848654
diff --git a/app-doc/root-docs/files/root-docs-6.00.01-cernbuild.patch b/app-doc/root-docs/files/root-docs-6.00.01-cernbuild.patch
new file mode 100644
index 000000000..b155795c9
--- /dev/null
+++ b/app-doc/root-docs/files/root-docs-6.00.01-cernbuild.patch
@@ -0,0 +1,16 @@
+diff --git a/tutorials/tree/cernbuild.C b/tutorials/tree/cernbuild.C
+index ba516b6..793ecb5 100644
+--- a/tutorials/tree/cernbuild.C
++++ b/tutorials/tree/cernbuild.C
+@@ -2,6 +2,11 @@
+ // see also a variant in staff.C
+ // Author: Rene Brun
+
++#include "TFile.h"
++#include "TSystem.h"
++#include "TString.h"
++#include "TTree.h"
++
+ TFile *cernbuild(Int_t get=0, Int_t print=1) {
+
+ Int_t Category;
diff --git a/app-doc/root-docs/files/root-docs-6.00.01-makehtml.patch b/app-doc/root-docs/files/root-docs-6.00.01-makehtml.patch
new file mode 100644
index 000000000..8ad9b888f
--- /dev/null
+++ b/app-doc/root-docs/files/root-docs-6.00.01-makehtml.patch
@@ -0,0 +1,57 @@
+diff --git a/Makefile b/Makefile
+index 600e8db..afad025 100644
+--- a/Makefile
++++ b/Makefile
+@@ -1072,16 +1072,7 @@ $(ROOTPCH): $(ROOTCLINGSTAGE1DEP) $(ALLHDRS) $(CLINGETCPCH) $(ORDER_) $(ALLLIBS)
+
+ ifeq ($(BUILDX11),yes)
+ ifeq ($(BUILDASIMAGE),yes)
+-html: rootexecs postbin changelog releasenotes
+-ifneq ($(USECONFIG),FALSE)
+- @if [ "x`which root.exe`" != "x$(DESTDIR)$(BINDIR)/root.exe" ] \
+- || [ "`which root.exe`" -ot "bin/root.exe" ]; then \
+- echo 'ERROR: root.exe has not been installed by this build.'; \
+- echo ' Run "make install" before running "make html".'; \
+- exit 1; \
+- fi
+-endif
+- @$(MAKELOGHTML)
++html: compiledata releasenotes
+ @$(MAKEHTML)
+ else
+ html:
+diff --git a/build/unix/makehtml.sh b/build/unix/makehtml.sh
+index a94e790..8b4589d 100755
+--- a/build/unix/makehtml.sh
++++ b/build/unix/makehtml.sh
+@@ -1,16 +1,16 @@
+ #! /bin/sh
+
+ dir=`pwd`
+-ROOT=$dir/bin/root
++ROOT=root
+ cd tutorials
+ # we need tutorials/hsimple.root
+ if [ ! -f hsimple.root ]; then
+- $ROOT -n -l -b -q hsimple.C
++ $ROOT -n -l -b -q hsimple.C && exit 1
+ fi
+ cd tree
+ # we need tutorials/tree/cernstaff.root
+ if [ ! -f cernstaff.root ]; then
+- $ROOT -n -l -b -q cernbuild.C
++ $ROOT -n -l -b -q cernbuild.C || exit 1
+ fi
+ cd $dir
+
+@@ -20,7 +20,9 @@ echo ""
+
+ # To generate the full documentation, we do need to
+ # use the graphics engine, so do not use '-b'.
+-$ROOT -n -l <<makedoc
++$ROOT -n -l <<makedoc || exit 1
++ #include "THtml.h"
++ gSystem->Load("libHtml");
+ THtml h;
+ h.LoadAllLibs();
+ h.MakeAll();
diff --git a/app-doc/root-docs/metadata.xml b/app-doc/root-docs/metadata.xml
new file mode 100644
index 000000000..3645ec784
--- /dev/null
+++ b/app-doc/root-docs/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>bircoph@gmail.com</email>
+ <name>Andrew Savchenko</name>
+ <description>Maintainer. Assign bugs to him</description>
+</maintainer>
+<herd>sci-physics</herd>
+<herd>proxy-maintainers</herd>
+<longdescription lang="en">
+ This package contains the automatically generated ROOT class
+ documentation.
+</longdescription>
+<use>
+ <flag name="api">Generate html API documentation</flag>
+ <flag name="http">Build HttpServer documentation</flag>
+ <flag name="math">Provide all math related documentation</flag>
+ <flag name="metric">Default to A4 paper size and metric measurement. Letter will be used otherwise</flag>
+</use>
+</pkgmetadata>
diff --git a/app-doc/root-docs/root-docs-6.00.01.ebuild b/app-doc/root-docs/root-docs-6.00.01.ebuild
new file mode 100644
index 000000000..5c1e7e85a
--- /dev/null
+++ b/app-doc/root-docs/root-docs-6.00.01.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-doc/root-docs/root-docs-5.34.18-r1.ebuild,v 1.2 2014/03/28 18:48:01 bicatali Exp $
+
+EAPI=5
+
+ROOT_PN="root"
+ROOFIT_DOC_PV=2.91-33
+ROOFIT_QS_DOC_PV=3.00
+TMVA_DOC_PV=4.2.0
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EVCS_OFFLINE=yes # we need exactly the same checkout as root itself
+ EGIT_REPO_URI="http://root.cern.ch/git/root.git"
+ KEYWORDS=""
+else
+ SRC_URI="ftp://root.cern.ch/${ROOT_PN}/${ROOT_PN}_v${PV}.source.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+ S="${WORKDIR}/${ROOT_PN}"
+fi
+
+inherit eutils multilib virtualx
+
+DESCRIPTION="Documentation for ROOT Data Analysis Framework"
+HOMEPAGE="http://root.cern.ch/drupal"
+SRC_URI="${SRC_URI}
+ math? (
+ http://tmva.sourceforge.net/docu/TMVAUsersGuide.pdf -> TMVAUsersGuide-v${TMVA_DOC_PV}.pdf
+ http://root.cern.ch/download/doc/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf
+ http://root.cern.ch/drupal/sites/default/files/roofit_quickstart_${ROOFIT_QS_DOC_PV}.pdf )
+ api? (
+ ${HOMEPAGE}/sites/default/files/images/root6-banner.jpg
+ ${HOMEPAGE}/sites/all/themes/newsflash/images/info.png )"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+IUSE="api +math +metric http"
+
+VIRTUALX_REQUIRED="api"
+
+DEPEND="
+ ~sci-physics/root-${PV}[X,graphviz,opengl]
+ app-text/pandoc
+ app-text/texlive
+ dev-haskell/pandoc-citeproc[bibutils]
+ media-fonts/dejavu
+ virtual/pkgconfig"
+RDEPEND=""
+
+DOC_DIR="/usr/share/doc/${ROOT_PN}-${PV}"
+
+src_unpack() {
+ if [[ ${PV} == "9999" ]] ; then
+ # we need to force sci-physics/root checkout here
+ git-r3_checkout "${EGIT_REPO_URI}" "${WORKDIR}/${P}" "sci-physics/root/0"
+ fi
+}
+
+src_prepare() {
+ use api && epatch \
+ "${FILESDIR}/${PN}-6.00.01-makehtml.patch" \
+ "${FILESDIR}/${PN}-6.00.01-cernbuild.patch"
+ # prefixify the configure script
+ sed -i \
+ -e "s:/usr:${EPREFIX}/usr:g" \
+ configure || die "prefixify configure failed"
+}
+
+src_configure() {
+ # we need only to setup paths here, html docs doesn't depend on USE flags
+ if use api; then
+ ./configure \
+ --prefix="${EPREFIX}/usr" \
+ --etcdir="${EPREFIX}/etc/root" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)/${PN}" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+ --tutdir="${EPREFIX}/usr/share/doc/${PF}/examples/tutorials" \
+ --testdir="${EPREFIX}/usr/share/doc/${PF}/examples/tests" \
+ --with-llvm-config="${EPREFIX}/usr/bin/llvm-config" \
+ --with-sys-iconpath="${EPREFIX}/usr/share/pixmaps" \
+ --nohowto
+ fi
+}
+
+src_compile() {
+ pdf_target=( primer users-guide )
+ local pdf_size=pdfa4
+ use metric || pdf_size=pdfletter
+ use math && pdf_target+=( minuit2 spectrum )
+ use http && pdf_target+=( HttpServer )
+
+ for (( i=0; i<${#pdf_target[@]}; i++ )); do
+ emake -C documentation/"${pdf_target[i]}" "${pdf_size}"
+ done
+
+ if use api; then
+ # video drivers may want to access hardware devices
+ cards=$(echo -n /dev/dri/card* /dev/ati/card* /dev/nvidiactl* | sed 's/ /:/g')
+ [[ -n "${cards}" ]] && addpredict "${cards}"
+
+ ROOTSYS="${S}" Xemake html
+ # if root.exe crashes, return code will be 0 due to gdb attach,
+ # so we need to check if last html file was generated;
+ # this check is volatile and can't catch crash on the last file.
+ [[ -f htmldoc/tableDescriptor_st.html ]] || die "html doc generation crashed"
+ fi
+}
+
+src_install() {
+ insinto "${DOC_DIR}"
+
+ for (( i=0; i<${#pdf_target[@]}; i++ )); do
+ doins documentation/"${pdf_target[i]}"/*.pdf
+ done
+ unset pdf_target
+
+ use math && doins \
+ "${DISTDIR}/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf" \
+ "${DISTDIR}/roofit_quickstart_${ROOFIT_QS_DOC_PV}.pdf" \
+ "${DISTDIR}/TMVAUsersGuide-v${TMVA_DOC_PV}.pdf"
+
+ if use api; then
+ # Install offline replacements for online messages
+ cp "${DISTDIR}"/{root6-banner.jpg,info.png} htmldoc/ || die "cp failed"
+ # too large data to copy
+ dodir "${DOC_DIR}/html"
+ mv htmldoc/* "${ED}${DOC_DIR}/html/" || die
+ docompress -x ${DOC_DIR}/html
+ fi
+}
diff --git a/app-doc/root-docs/root-docs-9999.ebuild b/app-doc/root-docs/root-docs-9999.ebuild
new file mode 120000
index 000000000..32ba358c8
--- /dev/null
+++ b/app-doc/root-docs/root-docs-9999.ebuild
@@ -0,0 +1 @@
+root-docs-6.00.01.ebuild \ No newline at end of file